import { AutoMap } from '@automapper/classes';

export class Ad {
  @AutoMap()
  uuid: string;

  @AutoMap()
  driver: boolean;

  @AutoMap()
  passenger: boolean;

  @AutoMap()
  frequency: number;

  @AutoMap()
  fromDate: string;

  @AutoMap()
  toDate: string;

  @AutoMap()
  monTime: string;

  @AutoMap()
  tueTime: string;

  @AutoMap()
  wedTime: string;

  @AutoMap()
  thuTime: string;

  @AutoMap()
  friTime: string;

  @AutoMap()
  satTime: string;

  @AutoMap()
  sunTime: string;

  @AutoMap()
  monMargin: number;

  @AutoMap()
  tueMargin: number;

  @AutoMap()
  wedMargin: number;

  @AutoMap()
  thuMargin: number;

  @AutoMap()
  friMargin: number;

  @AutoMap()
  satMargin: number;

  @AutoMap()
  sunMargin: number;

  @AutoMap()
  driverDuration: number;

  @AutoMap()
  driverDistance: number;

  @AutoMap()
  passengerDuration: number;

  @AutoMap()
  passengerDistance: number;

  @AutoMap()
  originType: number;

  @AutoMap()
  destinationType: number;

  @AutoMap()
  waypoints: [];

  @AutoMap()
  direction: string;

  @AutoMap()
  fwdAzimuth: number;

  @AutoMap()
  backAzimuth: number;

  @AutoMap()
  seatsDriver: number;

  @AutoMap()
  seatsPassenger: number;

  @AutoMap()
  seatsUsed: number;

  @AutoMap()
  createdAt: string;

  @AutoMap()
  updatedAt: string;
}
