import { AlgorithmType } from './algorithm.enum';

export type DefaultAlgorithmSettings = {
  algorithm: AlgorithmType;
  strict: boolean;
  remoteness: number;
  useProportion: boolean;
  proportion: number;
  useAzimuth: boolean;
  azimuthMargin: number;
  maxDetourDistanceRatio: number;
  maxDetourDurationRatio: number;
  georouterType: string;
  georouterUrl: string;
};
